package main.java;

import javax.swing.*;
import javax.swing.border.Border;
import java.awt.*;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Geir
 * Date: 12/17/13
 * Time: 16:19
 * To change this template use File | Settings | File Templates.
 */
public class Gallery extends JFrame{
    public static void printPictures(List<String> fileList, List<String> tagList){
        new Gallery().start(fileList, tagList);
    }

    public void start(List<String> fileList, List<String> tagList){
        JPanel panel = new JPanel(new GridLayout(50,2));

        int fileNumber;
        int iterator = 0;
        String path;

        for(String pic: fileList){
            fileNumber = Integer.parseInt(pic.substring(0,pic.indexOf(".")));
            path = getImagePath(fileNumber);
            String tags = tagList.get(iterator);

            JLabel label = new JLabel(new ImageIcon(path));
            label.setBorder(BorderFactory.createLineBorder(Color.DARK_GRAY, 2));
            panel.add(label);

            JTextArea textbox = new JTextArea((iterator+1) + ": " + fileNumber + " .jpg\nTags: " + tags);
            textbox.setSize(new Dimension(200,75));
            textbox.setWrapStyleWord(true);
            textbox.setLineWrap(true);
            textbox.setBorder(BorderFactory.createLineBorder(Color.DARK_GRAY, 2));
            panel.add(textbox);

            iterator++;
        }

        JScrollPane scrollPane = new JScrollPane(panel, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
        add(scrollPane);
        setSize(1024, 750);
        setVisible(true);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }

    public static String getImagePath(int filenumber){
        String path;

        int pathNumber = filenumber/10000;

        path = "/Users/Geir/Development/master/src/main/resources/images/images/" + pathNumber + "/" + filenumber + ".jpg";

        return path;
    }
}
